```mermaid
graph TD;
    A-->B;
    A-->C;
    B-->D;
    C-->D;
    
```    
    
```mermaid
erDiagram
    t_client_user  ||--o{ t_client_user_device : has
    t_client_user_device }|--|| t_user_device_group : related
    t_client_user  ||--o{ t_user_device_group : has
    t_client_user_device }|--|| t_device: related
    
    t_user_device_group {
        Long group_id PK "pk"
        string group_name "分组名称"
        Long create_user_id "创建人ID"
    }
    t_client_user_device {
        Long id "pk"
        Lond pid "分享钥匙上一个人的id"
        Lond user_id "用户id"
        Long group_id "设备分组id"
        Long device_id "设备id"
        string device_sn "设备序列号"
        Intger bind_status "0：未绑定，1：已绑定"
        Intger role_type "角色类型，1-超级管理员，2-管理员，3-普通成员，4-电子钥匙"
        string lock_authority "门锁权限：1-指纹，2-密码，3-iccard，4-人脸"
        Intger is_frozen "是否被冻结，0：未冻结，1：已冻结"
        Intger is_forever_auth "是否永久授权：0-否，1-是"
        string member_nick_name "user昵称(跟member没关系)"
  		string is_other_device "其他设备，扫码添加设备，只有分组关联的记录"
  		string other_params "其他设备配置参数，扫码添加设备，只有分组关联的记录"
    }
``` 